## deepin-deepinid-client 5.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(deepin-deepinid-client)
 
add_subdirectory(src)
