=== debian/changelog ===
deepin-deepinid-client (5.0.0-1) unstable; urgency=low

  * ['Autobuild release-candidate: e287dd84254cadf8a4872d33ee1937588ab7b1c9']

 -- shuttle <shuttle@deepin.com>  Wed, 24 Jul 2019 14:01:30 +0000
