## deepin-deepinid-client 7.0.5

=== debian/changelog ===
deepin-deepinid-client (7.0.5) unstable; urgency=medium

  * chore: add application png icon replace of svg
  * release 7.0.5

 -- Zhang kun <zhangkun2@uniontech.com>  Fri, 14 Jun 2024 09:59:51 +0800

deepin-deepinid-client (7.0.4) unstable; urgency=medium

  * fix #8853
  * release 7.0.4

 -- Mike Chen <chenke@deepin.org>  Mon, 03 Jun 2024 13:08:06 +0800

deepin-deepinid-client (7.0.3) unstable; urgency=medium

  * chore: bump version

 -- Chang Yang <yangchang@deepin.org>  Fri, 19 Apr 2024 11:39:19 +0800

deepin-deepinid-client (7.0.2) UNRELEASED; urgency=medium

  * fix: dialog name should not be uosid
  * chore: tidyup code

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 16 Nov 2023 17:12:47 +0800

deepin-deepinid-client (7.0.1) UNRELEASED; urgency=medium

  * tidy up cmake, remote deprecate interface and lib
  * fix license to community

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 28 Aug 2023 10:28:17 +0800

deepin-deepinid-client (6.0.1) UNRELEASED; urgency=medium

  * update changelog

 -- duanhongyu <duanhongyu@uniontech.com>  Wed, 19 Oct 2022 10:19:17 +0800

deepin-deepinid-client (6.0.0.1) UNRELEASED; urgency=medium

  * update changelog

 -- duanhongyu <duanhongyu@uniontech.com>  Thu, 23 Jun 2022 9:17:17 +0800

deepin-deepinid-client (1.0.0-1) unstable; urgency=medium

  * Initial release

 -- Iceyer <me@iceyer.net>  Tue, 30 Oct 2018 09:55:49 +0800
