=== debian/control ===
Source: deepin-deepinid-client
Section: net
Priority: optional
Maintainer: Iceyer <me@iceyer.net>
Build-Depends: debhelper (>= 10),
 cmake,
 libdtk6widget-dev,
 libdtk6gui-dev,
 libqt6webchannel6-dev,
 qt6-webengine-dev,
 pkg-config,
 qt6-tools-dev-tools,
 qt6-tools-dev,
 qt6-5compat-dev,
 libdtkcommon-dev,
 libdframeworkdbus-dev,
Standards-Version: 4.1.2
Homepage: https://www.deepin.org
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/deepin-sync-client.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deepin-sync-client.git

Package: deepin-deepinid-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdframeworkdbus2, dcc-deepinid-plugin
Description: client to login deepin sync account
 Deepin user can login with DeepinID oauth
