=== debian/changelog ===
deepin-deepinid-client (7.0.9) unstable; urgency=medium

  * add depends libqt6webenginecore6-bin.

 -- lichenggang <lichenggang@deepin.org>  Thu, 21 Nov 2024 20:42:07 +0800

deepin-deepinid-client (7.0.8) unstable; urgency=medium

  * fix: do not pop up the login window when the network fluctuates

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 23 Oct 2024 15:18:37 +0800

deepin-deepinid-client (7.0.7) unstable; urgency=medium

  * fix: modify the title of a static HTML page

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 11 Sep 2024 15:43:57 +0800

deepin-deepinid-client (7.0.6) unstable; urgency=medium

  * fix: blank deepinid login dialog and exit abnormally when offline
    fix: app icon is abscure at dpi 1.5 (#20)

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 04 Sep 2024 16:37:24 +0800
