=== debian/control ===
--- 
+++ 
@@ -21,6 +21,6 @@
 
 Package: deepin-deepinid-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdframeworkdbus2, dcc-deepinid-plugin
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdframeworkdbus2, dcc-deepinid-plugin, libqt6webenginecore6-bin
 Description: client to login deepin sync account
  Deepin user can login with DeepinID oauth
